# NFT Voting

{% hint style="info" %}
Before reading below, make sure you have invited the Emerald bot to your Discord server using [this link](https://discord.com/oauth2/authorize?client_id=907407354427998279\&permissions=294473821264\&scope=bot%20applications.commands).
{% endhint %}

There are 2 commands you can use to start an NFT Vote depending on if your NFT is in the [NFT Catalog](https://www.flow-nft-catalog.com/) or not.

### Command 1 - NFT Catalog

This is what you should use if your NFT is in the [NFT Catalog](https://www.flow-nft-catalog.com/).

```
/vote nft catalog
```

#### Inputs

1. `identifier` - The collection identifier (ex. `Flunks`). The bot will auto suggest options if you start typing them in.
2. `option_1` - The first option users can vote for.
3. `option_2` - The second option users can vote for.
4. `role` - the Discord role a citizen must have in order to vote (put `@everyone` if you want everyone to vote)
5. `title` - the title of the vote
6. `description` - the description of the vote
7. `weighted` - put `True` if you want a citizen's vote to count based on the # of NFTs they have. Put `False` if you want everyone's vote to be worth 1 no matter how many NFTs they have (they must have >= 1)
8. `hide_results` - If true, users must vote in order to see vote results. If false, they can view results at any time.
9. (OPTIONAL) `end_date` - Set a date (in [UNIX timestamp](https://www.unixtimestamp.com/)) for when the vote should automatically end.
10. (OPTIONAL) `options 3 - 6` - Set additional options for users to vote for.

### Command 2 - Any NFT

This is what you should use if your NFT is **not** in the [NFT Catalog](https://www.flow-nft-catalog.com/).

```
/vote nft generic
```

#### Inputs

1. `contractname` - The name of the contract
2. `contractaddress` - The address of where the contract is deployed
3. `publicpath` - The public path of the NFT Collection (ex. If the public path is `/public/FLOATCollection`, you would input `FLOATCollection`).
4. `option_1` - The first option users can vote for.
5. `option_2` - The second option users can vote for.
6. `role` - the Discord role a citizen must have in order to vote (put `@everyone` if you want everyone to vote)
7. `title` - the title of the vote
8. `description` - the description of the vote
9. `weighted` - put `True` if you want a citizen's vote to count based on the # of NFTs they have. Put `False` if you want everyone's vote to be worth 1 no matter how many NFTs they have (they must have >= 1)
10. `hide_results` - If true, users must vote in order to see vote results. If false, they can view results at any time.
11. (OPTIONAL) `end_date` - Set a date (in [UNIX timestamp](https://www.unixtimestamp.com/)) for when the vote should automatically end.
12. (OPTIONAL) `options 3 - 6` - Set additional options for users to vote for.


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.ecdao.org/products/emerald-bot/voting/nft-voting.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
